package cmd

import (
    "agent-wdd/host_info"
    "agent-wdd/log"
    "agent-wdd/utils"
    
    "github.com/spf13/cobra"
)

func addConfigSubcommands(cmd *cobra.Command) {
    
    showConfigCmd := &cobra.Command{
        Use:   "show",
        Short: "显示agent运行配置",
        Run: func(cmd *cobra.Command, args []string) {
            log.Info("显示agent运行配置")
            
            content := utils.ReadAllContentFromFile(host_info.WddConfigFilePath)
            
            utils.BeautifulPrintListWithTitle(content, "agent运行配置")
            
            log.Info("显示agent运行配置完成")
            
        },
    }
    
    cmd.AddCommand(showConfigCmd)
    
}
